GlueGen: com.jogamp.common.ExceptionUtils Class Reference

GlueGen v2.6.0-rc-20250722 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Static Public Member Functions | List of all members
com.jogamp.common.ExceptionUtils Class Reference
Collaboration diagram for com.jogamp.common.ExceptionUtils:

## Classes

interface | CustomStackTrace
| Interface allowing `Throwable` specializations to provide their custom stack trace presentation. More...

## Static Public Member Functions

static void | dumpStack (final PrintStream out)
static void | dumpStack (final PrintStream out, final int skip, final int depth)
static void | dumpStack (final PrintStream out, final Throwable t, final int skip, final int depth)
static void | dumpStack (final PrintStream out, final StackTraceElement[] stack, final int skip, final int depth)
static int | printCause (final PrintStream s, final String causeStr, Throwable cause, final int causeIdx, final int causeDepth, final int stackDepth)
| Prints the given `Throwable` cause to the output `PrintStream` `s`. More...
static void | printStackTrace (final PrintStream s, final Throwable t, final int causeDepth, final int stackDepth)
| Prints the given `Throwable` to the output `PrintStream` `s`. More...
static void | dumpThrowable (final String additionalDescr, final Throwable t)
| Dumps a `Throwable` to `System.err` in a decorating message including the current thread name, and its `stack trace`. More...
static void | dumpThrowable (final String additionalDescr, final Throwable t, final int causeDepth, final int stackDepth)
| Dumps a `Throwable` to `System.err` in a decorating message including the current thread name, and its `stack trace`. More...

## Detailed Description

Since
  2.3.0

Definition at line 35 of file ExceptionUtils.java.

## Member Function Documentation

## ◆ dumpStack() [1/4]

static void com.jogamp.common.ExceptionUtils.dumpStack | ( | final PrintStream | out | ) |

static

Definition at line 36 of file ExceptionUtils.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ dumpStack() [2/4]

static void com.jogamp.common.ExceptionUtils.dumpStack | ( | final PrintStream | out,
|  | final int | skip,
|  | final int | depth
| ) |  |

static

Definition at line 39 of file ExceptionUtils.java.

Here is the call graph for this function:

## ◆ dumpStack() [3/4]

static void com.jogamp.common.ExceptionUtils.dumpStack | ( | final PrintStream | out,
|  | final StackTraceElement[] | stack,
|  | final int | skip,
|  | final int | depth
| ) |  |

static

Definition at line 45 of file ExceptionUtils.java.

## ◆ dumpStack() [4/4]

static void com.jogamp.common.ExceptionUtils.dumpStack | ( | final PrintStream | out,
|  | final Throwable | t,
|  | final int | skip,
|  | final int | depth
| ) |  |

static

Definition at line 42 of file ExceptionUtils.java.

Here is the call graph for this function:

## ◆ dumpThrowable() [1/2]

static void com.jogamp.common.ExceptionUtils.dumpThrowable | ( | final String | additionalDescr,
|  | final Throwable | t
| ) |  |

static

Dumps a `Throwable` to `System.err` in a decorating message including the current thread name, and its `stack trace`.

Implementation will iterate through all `causes`.

Parameters

  additionalDescr | additional text placed before the `Throwable` details.
  t | the `Throwable` for output

Definition at line 135 of file ExceptionUtils.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ dumpThrowable() [2/2]

static void com.jogamp.common.ExceptionUtils.dumpThrowable | ( | final String | additionalDescr,
|  | final Throwable | t,
|  | final int | causeDepth,
|  | final int | stackDepth
| ) |  |

static

Dumps a `Throwable` to `System.err` in a decorating message including the current thread name, and its `stack trace`.

Implementation will iterate through all `causes`.

Parameters

  additionalDescr | additional text placed before the `Throwable` details.
  t | the `Throwable` for output
  causeDepth | the maximum depth for causes, or `-1` for all
  stackDepth | the maximum depth for stack entries, or `-1` for all

Since
  2.3.2

Definition at line 150 of file ExceptionUtils.java.

Here is the call graph for this function:

## ◆ printCause()

static int com.jogamp.common.ExceptionUtils.printCause | ( | final PrintStream | s,
|  | final String | causeStr,
|  | Throwable | cause,
|  | final int | causeIdx,
|  | final int | causeDepth,
|  | final int | stackDepth
| ) |  |

static

Prints the given `Throwable` cause to the output `PrintStream` `s`.

Parameters

  s | output stream
  causeStr | the cause title
  cause | the `Throwable` cause for output
  causeIdx | the cause index over all causes known by caller
  causeDepth | the maximum depth for causes, or `-1` for all
  stackDepth | the maximum depth for stack entries, or `-1` for all

Since
  2.3.2

Definition at line 94 of file ExceptionUtils.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ printStackTrace()

static void com.jogamp.common.ExceptionUtils.printStackTrace | ( | final PrintStream | s,
|  | final Throwable | t,
|  | final int | causeDepth,
|  | final int | stackDepth
| ) |  |

static

Prints the given `Throwable` to the output `PrintStream` `s`.

Parameters

  s | output stream
  t | the `Throwable` for output
  causeDepth | the maximum depth for causes, or `-1` for all
  stackDepth | the maximum depth for stack entries, or `-1` for all

Since
  2.3.2

Definition at line 116 of file ExceptionUtils.java.

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/ExceptionUtils.java